
-- DROP TABLE tl_candidate_class_score;



CREATE TABLE tl_candidate_class_score (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    class_score numeric(12) NULL,
    wghtd_class_score numeric(12) NULL,
    max_wghtd_class_score numeric(12) NULL,
    color_code varchar(200) NULL,
    wghtd_color_code varchar(200) NULL,
    factor_class varchar(200) NOT NULL,
    test_analysis_id numeric(12)  NULL
    );



ALTER TABLE tl_candidate_class_score ADD    
    CONSTRAINT PK_tl_candidate_class_score PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_candidate_class_score_test_analysis_id 
    ON tl_candidate_class_score (test_analysis_id);
